<?php
/**
 * 系统应用级接口 api/app/？？？
 */

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

// 绑定push
Route::put("bind/client", "App\VersionController@bindClient");

// 获取某人的通知配置
Route::get("/profiles", "Miniprogram\NoticeController@getAllProfile");

// 获取某项通知
Route::get('/profile/{key}', "Miniprogram\NoticeController@getNoticeByKey");
Route::get('/profile/{key}/toint', "Miniprogram\NoticeController@getNoticeByKey2Int");

// 更新某项通知
Route::put('/profile/key/{key}', "Miniprogram\NoticeController@updateNoticeByKey");

// 更新某类型通知
Route::put('/profile/group', "Miniprogram\NoticeController@updateNoticeByGroup");

// 绑定wxid
Route::post('/auth/bindwxid', "Miniprogram\Auth@bindWxid");

Route::post('subscribemsg', 'Fpdx\SubscribemsgController@store');

// 判断是否可以开启某版本
Route::get('/version/2-10-5/isopen', "App\VersionController@isVersion");

// 获取官方宣传卡片
Route::get('/partner', "App\VersionController@getPartner");